/*
 * vs1000.h -- public header file for vs1000 driver
 */


struct vs1000_config {
	int	line;
	int	flags;
	int	closing_wait;
	int	close_delay;
	int	port;
	int	reserved[32];
};

struct vs1000_load_struct {
	int	boxid;
	unsigned long	offset;
	unsigned long	size;
	unsigned char	*buf;
};

struct vs1000_box_config {
	int		boxid;
	int		num_ports;
	int		state;
	unsigned char	ether_addr[6];
	char		interface[16];
	char		reserved[32];
};

struct vs1000_box_report {
	unsigned char	ether_addr[6];
	int		product_id;
	int		flags;
};

/*
 * Rocketport flags
 */
#define VS1000_CALLOUT_NOHUP    0x00000001
#define VS1000_FORCE_CD		0x00000002
#define VS1000_HUP_NOTIFY	0x00000004
#define VS1000_SPLIT_TERMIOS	0x00000008
#define VS1000_SPD_MASK		0x00000070
#define VS1000_SPD_HI		0x00000010 /* Use 56000 instead of 38400 bps */
#define VS1000_SPD_VHI		0x00000020 /* Use 115200 instead of 38400 bps*/
#define VS1000_SPD_SHI		0x00000030 /* Use 230400 instead of 38400 bps*/
#define VS1000_SPD_WARP	        0x00000040 /* Use 460800 instead of 38400 bps*/
#define VS1000_SAK		0x00000080
#define VS1000_SESSION_LOCKOUT	0x00000100
#define VS1000_PGRP_LOCKOUT	0x00000200
	
#define VS1000_FLAGS		0x000003FF

#define VS1000_USR_MASK 0x0071	/* Legal flags that non-privileged
				 * users can set or reset */

/*
 * For closing_wait and closing_wait2
 */
#define VS1000_CLOSING_WAIT_NONE	65535
#define VS1000_CLOSING_WAIT_INF		0

/*
 * VS State define's
 */
#define VS_STATE_RESET		0
#define VS_STATE_BOOTING	1
#define VS_STATE_BOOTED		2
#define VS_STATE_CONNECTING	3
#define VS_STATE_CONNECTED	4
#define VS_STATE_MAYBE_DEAD	5
#define VS_STATE_DEAD		6

/*
 * Rocketport ioctls -- "VS"
 */
#define VS1000_LOAD_CODE		0x00565301
#define VS1000_GET_CONFIG		0x00565302
#define VS1000_SET_CONFIG		0x00565303
#define VS1000_GET_CTL_MAJOR		0x00565304
#define VS1000_SET_BOX_CONFIG  		0x00565305
#define VS1000_GET_BOX_CONFIG		0x00565306
#define VS1000_GET_BOX_REPORT		0x00565307
#define VS1000_GET_PROBLEM_BOXES	0x00565308
#define VS1000_DEBUG_MISC		0x00565309
